GTXclient C API GTXserver-16.0.2

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
GTXFileInfo Struct Reference

Information on a File. More...

`#include <GTXClient.h>`

## Data Fields
GTX_FILE_TYPE | type
char | linked_file [50]
int | faulted
int | polygon_file
int | dimension
gtx_long | s_number
int | item_number
double | X0
double | Y0
double | Z0
double | DX
double | DY
double | DZ
int | NX
int | NY
int | NZ
int | rotation
double | angle_z
double | angle_y
double | angle_x
char | sn_var_name [50]
char | ln_var_name [50]
char | lname_var_name [50]
char | rn_var_name [50]
char | xg_var_name [50]
char | yg_var_name [50]
char | zg_var_name [50]
char | xb_var_name [50]
char | yb_var_name [50]
char | zb_var_name [50]
char | xe_var_name [50]
char | ye_var_name [50]
char | ze_var_name [50]
GTXFaultInfo | fault_info

## Detailed Description

Information on a File.

See Also
  GTXClientGetFileInfo

Examples:
  motif_client.c, text_client.c, text_list.c, and write_files.c.

## Field Documentation

double GTXFileInfo::angle_x

grid rotation angle around OX

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

double GTXFileInfo::angle_y

grid rotation angle around OY (if a 3D file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

double GTXFileInfo::angle_z

grid rotation angle around OZ (if a 3D file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

int GTXFileInfo::dimension

dimension of the file

- `2` for a 2D File
- `3` for a 3D File

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

double GTXFileInfo::DX

X mesh dimensions (if a Grid file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

double GTXFileInfo::DY

Y mesh dimensions (if a Grid file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

double GTXFileInfo::DZ

Z mesh dimensions (if a Grid file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

GTXFaultInfo GTXFileInfo::fault_info

fault information (if the file is faulted)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

int GTXFileInfo::faulted

is this file faulted or not

- `1` faulted
- `0` not faulted

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

int GTXFileInfo::item_number

give the number of lines in the file (if a Line file)

Examples:
  motif_client.c, text_client.c, text_list.c, and write_files.c.

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::linked_file[50]

name of linked file (if non applicable the string is empty)

Examples:
  text_list.c.

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::ln_var_name[50]

Line Number variable Name (if a Line file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::lname_var_name[50]

Line Name variable Name (if a Points File linked to a Lines file)

Referenced by GTXClientGetFileInfo().

int GTXFileInfo::NX

X number of grid nodes (if a Grid file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

int GTXFileInfo::NY

Y number of grid nodes (if a Grid file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

int GTXFileInfo::NZ

Z number of grid nodes (if a Grid file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

int GTXFileInfo::polygon_file

            is this file a polygon file or not

- `1` is a polygon file
- `0` not a polygon file

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::rn_var_name[50]

Relative Number variable name (if a Grid file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

int GTXFileInfo::rotation

- `0` no grid rotation (if a Grid file)
- `1` grid rotation around the grid origin (if a Grid file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

gtx_long GTXFileInfo::s_number

give the number of samples in the file

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::sn_var_name[50]

Sample Number variable name

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

GTX_FILE_TYPE GTXFileInfo::type

file type

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

double GTXFileInfo::X0

X coordinate of the origin of the grid (if a Grid file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::xb_var_name[50]

X Core Begin variable name (if a Core lines file)

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::xe_var_name[50]

X Core End variable name (if a Core lines file)

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::xg_var_name[50]

X Gravity Center variable name

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

double GTXFileInfo::Y0

Y coordinate of the origin of the grid (if a Grid file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::yb_var_name[50]

Y Core Begin variable name (if a Core lines file)

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::ye_var_name[50]

Y Core End variable name (if a Core lines file)

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::yg_var_name[50]

Y Gravity Center variable name

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

double GTXFileInfo::Z0

Z coordinate of the origin of the grid (if a Grid file)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::zb_var_name[50]

Z Core Begin variable name (if a 3D Core lines file)

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::ze_var_name[50]

Z Core End variable name (if a 3D Core lines file)

Referenced by GTXClientGetFileInfo().

char GTXFileInfo::zg_var_name[50]

Z Gravity Center variable name (if a 3D File)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetFileInfo().

The documentation for this struct was generated from the following file:

- include/GTXClient.h